#include <bits\stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    int n, l;
    cin >> n >> l;
    int stalaktiti[n];
    for (int i = 1; i < n; i++){
        cin >> stalaktiti[i];
    }
    for (int i = 1; i < n; i++){
        if(l >= stalaktiti[i]){
            cout << i;
        return 0;
        }
    }
    cout << "-1";
}